API keys
Delete an API key
Deletes an API key. The key stops working immediately. This route needs a website sign-in.
DELETE
/
api
/
keys
/
{key_id}
Delete an API key
curl --request DELETE \
--url https://kalligator.com/api/keys/{key_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://kalligator.com/api/keys/{key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://kalligator.com/api/keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"keys": [
{
"id": "<string>",
"name": "<string>",
"scope": "read",
"hint": "<string>",
"created_at": "<string>",
"last_used_at": "<string>",
"expires_at": "<string>"
}
]
}{
"detail": "<string>",
"code": "<string>",
"current": {
"id": "<string>",
"program_id": "<string>",
"program_name": "<string>",
"status": "draft",
"display_status": "<string>",
"title": "<string>",
"revision": 123,
"created_at": "<string>",
"updated_at": "<string>",
"submitted_at": "<string>",
"withdrawn_at": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": "<string>",
"attachments": {},
"submission": {
"submitted_at": "<string>",
"attachments": {},
"content": {
"title": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": ""
},
"program": {
"policy_version": 123,
"name": "<string>",
"scope": "<string>",
"exclusions": "<string>",
"rules": "<string>",
"eligibility": "<string>",
"disclosure": "<string>",
"rewards": {}
},
"stripe": {
"status": "<string>",
"checked_at": "<string>"
}
},
"decision": {
"outcome": "accepted",
"at": "<string>",
"message": "<string>"
},
"payout": {
"status": "approving",
"amount_cents": 123,
"approved_at": "<string>",
"transferred_at": "<string>",
"received_at": "<string>",
"payout_failed_at": "<string>"
}
}
}{
"detail": "<string>",
"code": "<string>",
"current": {
"id": "<string>",
"program_id": "<string>",
"program_name": "<string>",
"status": "draft",
"display_status": "<string>",
"title": "<string>",
"revision": 123,
"created_at": "<string>",
"updated_at": "<string>",
"submitted_at": "<string>",
"withdrawn_at": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": "<string>",
"attachments": {},
"submission": {
"submitted_at": "<string>",
"attachments": {},
"content": {
"title": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": ""
},
"program": {
"policy_version": 123,
"name": "<string>",
"scope": "<string>",
"exclusions": "<string>",
"rules": "<string>",
"eligibility": "<string>",
"disclosure": "<string>",
"rewards": {}
},
"stripe": {
"status": "<string>",
"checked_at": "<string>"
}
},
"decision": {
"outcome": "accepted",
"at": "<string>",
"message": "<string>"
},
"payout": {
"status": "approving",
"amount_cents": 123,
"approved_at": "<string>",
"transferred_at": "<string>",
"received_at": "<string>",
"payout_failed_at": "<string>"
}
}
}⌘I
Delete an API key
curl --request DELETE \
--url https://kalligator.com/api/keys/{key_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://kalligator.com/api/keys/{key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://kalligator.com/api/keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"keys": [
{
"id": "<string>",
"name": "<string>",
"scope": "read",
"hint": "<string>",
"created_at": "<string>",
"last_used_at": "<string>",
"expires_at": "<string>"
}
]
}{
"detail": "<string>",
"code": "<string>",
"current": {
"id": "<string>",
"program_id": "<string>",
"program_name": "<string>",
"status": "draft",
"display_status": "<string>",
"title": "<string>",
"revision": 123,
"created_at": "<string>",
"updated_at": "<string>",
"submitted_at": "<string>",
"withdrawn_at": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": "<string>",
"attachments": {},
"submission": {
"submitted_at": "<string>",
"attachments": {},
"content": {
"title": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": ""
},
"program": {
"policy_version": 123,
"name": "<string>",
"scope": "<string>",
"exclusions": "<string>",
"rules": "<string>",
"eligibility": "<string>",
"disclosure": "<string>",
"rewards": {}
},
"stripe": {
"status": "<string>",
"checked_at": "<string>"
}
},
"decision": {
"outcome": "accepted",
"at": "<string>",
"message": "<string>"
},
"payout": {
"status": "approving",
"amount_cents": 123,
"approved_at": "<string>",
"transferred_at": "<string>",
"received_at": "<string>",
"payout_failed_at": "<string>"
}
}
}{
"detail": "<string>",
"code": "<string>",
"current": {
"id": "<string>",
"program_id": "<string>",
"program_name": "<string>",
"status": "draft",
"display_status": "<string>",
"title": "<string>",
"revision": 123,
"created_at": "<string>",
"updated_at": "<string>",
"submitted_at": "<string>",
"withdrawn_at": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": "<string>",
"attachments": {},
"submission": {
"submitted_at": "<string>",
"attachments": {},
"content": {
"title": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": ""
},
"program": {
"policy_version": 123,
"name": "<string>",
"scope": "<string>",
"exclusions": "<string>",
"rules": "<string>",
"eligibility": "<string>",
"disclosure": "<string>",
"rewards": {}
},
"stripe": {
"status": "<string>",
"checked_at": "<string>"
}
},
"decision": {
"outcome": "accepted",
"at": "<string>",
"message": "<string>"
},
"payout": {
"status": "approving",
"amount_cents": 123,
"approved_at": "<string>",
"transferred_at": "<string>",
"received_at": "<string>",
"payout_failed_at": "<string>"
}
}
}